$(function() {

// Enable drag-n-drop UI for all activities
    $(".drag_n_drop ul").sortable({
        connectWith: ".drag_n_drop ul",
        placeholder: "placeholder",
        forcePlaceholderSize: true,  

        start: function(e, ui){
          ui.placeholder.height(ui.item.height());
        }
              
    }).disableSelection();

    var placeholder = $( ".placeholder" ).sortable( "option", "forcePlaceholderSize" );
    $( ".placeholder" ).sortable( "option", "placeholder", "forcePlaceholderSize", true);
      
// ACTIVITY 4: Change tile colour depending if it matches its bucket or not 
    $("#check_results").on('click', function(e) {
        $(".dropzone li").each(function(){
        	$(this).removeClass("correct").removeClass("incorrect");
        	var tile = $(this).attr("data-cat"),
        			bucket = $(this).parent().attr("data-cat");
        	if (tile == bucket) {$(this).addClass("correct")}
         		else if (bucket != "origin" && bucket != tile) {$(this).addClass("incorrect")}
        });
    });

// ACTIVITY 6: Check if the correct radios are selected
    $("#radioTest").on('click', function(e) {
        $(".radioTest").each(function(){
            $(this).removeClass("correct").removeClass("incorrect");
            var answer = $(this).find("input:checked");
            if (answer.length && answer.val()==="male"){$(this).addClass("correct")}
                else {$(this).addClass("incorrect")}
        });

    });

// ACTIVITY 9: Check the checkboxes
// Answer checker
      $("#gdpButton").click(function(){
	  
		  
		  $(this).hide();
		  
    //Check answer and show feedback spans
          
			$('input[type=checkbox]').each(function() {
			  
				if ($(this).prop('checked') && $(this).val() != 'yes') {
			  
			  		$(this).next("label").css({
						"color":"red",
						"font-weight": "800",
						"text-decoration": "line-through"
					});
		  		
				} else if ($(this).val() == "yes" && $(this).prop('checked')) {
					
					$(this).next("label").css({
						"font-weight": "800", 	
						"color": "#50C878"
					});
					
				} else if ($(this).val() == "yes") {
					
					$(this).next("label").css("color", "#50C878");
				
				}
			
			
        });
        $("#gdpFeedback").css("display","block");
      });

});